Bug 1257227 - socket activation for bitlbee service
socket activation for bitlbee service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bitlbee (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 10:36 EDT by Vincent Batts
Modified: 2017-01-29 21:48 EST (History)
2 users (show)

See Also:
Fixed In Version: bitlbee-3.5-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-29 21:48:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Batts 2015-08-26 10:36:43 EDT
Description of problem:
the bitlee daemon currently needs to be `systemctl enable bitlbee.service && systemctl start bitlbee`, but it could easily provide a "bitlbee.socket" that is enabled when installed. Then it is started once connected to.

Version-Release number of selected component (if applicable):
bitlbee-3.4.1-1.fc22.x86_64

an example `bitlbee.socket` (the one I use for myself):
```
[Unit]
Description=BitlBee IRC/IM gateway
Conflicts=bitlbee.service

[Socket]
ListenStream=127.0.0.1:6667
Accept=yes

[Install]
WantedBy=sockets.target
```
Comment 1 Matěj Cepl 2015-08-26 17:22:46 EDT
That would require switching from ForkDaemon back to Daemon mode, right?
Comment 2 Vincent Batts 2015-08-26 22:28:40 EDT
I'm not sure. I did not make those changes and it seems be fine.
Comment 3 Jan Kurik 2016-02-24 08:40:40 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Robert Scheck 2017-01-29 21:48:53 EST
bitlbee-3.5-1.fc24 ships /usr/lib/systemd/system/bitlbee.socket meanwhile.

Note You need to log in before you can comment on or make changes to this bug.